
#include <stdio.h>
#include <string.h>
#include "textedit.h"

int main(void)
{
  int i;
  int n = 0;
  char buf[BUFSIZ];

  textedit_t textedit;

  textedit_init(&textedit);
  for (i = 0; i < 10; i++) {
    sprintf(buf, "%d:LINE%d.\n", i, i);
    textedit_insert(&textedit, i, buf);
  }

  n = 0;
  while (textedit_fetch(&textedit, n, buf, sizeof(buf)) == 0) {
    if (strlen(buf) == 0) {
      printf("delete line %d.\n", n);
      textedit_delete(&textedit, n);
    }
    n++;
  }

  textedit_insert(&textedit, 10, "test");

  n = 0;
  while (textedit_fetch(&textedit, n, buf, sizeof(buf)) == 0) {
    printf("%4d: [%s]\n", n, buf);
    n++;
  }

  return 0;
}

